Bug 1308756 - [abrt] system-config-samba: __init__.py:81:<module>:AttributeError: 'module' object has no attribute 'exceptions'
[abrt] system-config-samba: __init__.py:81:<module>:AttributeError: 'module' ...
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-15 18:58 EST by Kerry
Modified: 2016-10-14 08:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-14 08:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (6.72 KB, text/plain)
2016-02-15 18:58 EST, Kerry
no flags Details
File: environ (3.95 KB, text/plain)
2016-02-15 18:58 EST, Kerry
no flags Details

  None (edit)
Description Kerry 2016-02-15 18:58:29 EST
Description of problem:
Started from system | administration | samba menu

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python /usr/bin/system-config-samba
dso_list:       dbus-python-1.2.0-12.fc23.x86_64
executable:     /usr/bin/system-config-samba
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 3
type:           Python
uid:            500

Truncated backtrace:
#1 <module> in /usr/lib64/python2.7/site-packages/dbus/__init__.py:81
#2 __init__ in /usr/share/system-config-samba/mainWindow.py:110
#3 <module> in /usr/bin/system-config-samba:56
Comment 1 Kerry 2016-02-15 18:58:34 EST
Created attachment 1127461 [details]
File: backtrace
Comment 2 Kerry 2016-02-15 18:58:36 EST
Created attachment 1127462 [details]
File: environ
Comment 3 Nils Philippsen 2016-07-29 13:41:57 EDT
Sorry for the late response. The dbus.exceptions modules should come with the dbus-python package. Is this packages installed ("rpm -q dbuy-python")? If yes, is it undamaged ("rpm -V dbus-python")?
Comment 4 Kerry 2016-08-01 00:44:23 EDT
$ rpm -q dbus-python
$ rpm -V dbus-python

I did just try /usr/bin/python /usr/bin/system-config-samba
and I didn't receive a crash. 

I assume that lots of things have changed on my system since February, so I'm not sure I can reproduce what crashed it before.
Comment 5 Nils Philippsen 2016-10-14 08:04:58 EDT
I'll close the bug accordingly.

Note You need to log in before you can comment on or make changes to this bug.